> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get trace deletion request status



## OpenAPI

````yaml https://api.sgp.scale.com/openapi-versions/v5/openapi.json get /v5/spans/deletions/{deletion_request_id}
openapi: 3.1.0
info:
  title: EGP API V5
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
paths:
  /v5/spans/deletions/{deletion_request_id}:
    get:
      tags:
        - Spans
      summary: Get trace deletion request status
      operationId: GET-V5-/v5/spans/deletions/deletion_request_id
      parameters:
        - name: deletion_request_id
          in: path
          required: true
          schema:
            type: string
            title: Deletion Request Id
        - name: x-selected-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account ID Header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TraceDeletionStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    TraceDeletionStatusResponse:
      properties:
        object:
          type: string
          title: Object
          default: trace_deletion
        deletion_request_id:
          type: string
          title: Deletion Request Id
        status:
          $ref: '#/components/schemas/TraceDeletionRequestStatus'
        source_type:
          $ref: '#/components/schemas/TraceDeletionSourceType'
        group_id:
          title: Group Id
          type: string
        trace_count:
          title: Trace Count
          type: integer
        resolved_trace_count:
          title: Resolved Trace Count
          type: integer
        created_at:
          type: string
          format: date-time
          title: Created At
        started_at:
          title: Started At
          type: string
          format: date-time
        completed_at:
          title: Completed At
          type: string
          format: date-time
        last_worker_attempt_at:
          title: Last Worker Attempt At
          type: string
          format: date-time
        requested_by_user_id:
          title: Requested By User Id
          type: string
        reason_code:
          $ref: '#/components/schemas/TraceDeletionReasonCode'
        error_summary:
          title: Error Summary
          type: string
        reason_details:
          title: Reason Details
          type: string
      type: object
      required:
        - deletion_request_id
        - status
        - source_type
        - created_at
        - reason_code
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TraceDeletionRequestStatus:
      type: string
      enum:
        - accepted
        - resolving
        - deleting
        - completed
        - failed
        - canceled
      title: TraceDeletionRequestStatus
    TraceDeletionSourceType:
      type: string
      enum:
        - trace_ids
        - group_id
      title: TraceDeletionSourceType
    TraceDeletionReasonCode:
      type: string
      enum:
        - customer_requested_deletion
      title: TraceDeletionReasonCode
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          title: Error Type
          type: string
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````